Skip to main content
GET
/
openapi
/
v1
/
billing
/
bill
/
monthly
/
list
curl --request GET \
  --url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
  --header 'Authorization: Bearer <API_KEY>'
{
  "bills": [
    {
      "userId": "<string>",
      "memberId": "<string>",
      "startTime": "1764547200",
      "endTime": "1767225599",
      "productName": "<string>",
      "productCategory": "gpu",
      "ownerID": "<string>",
      "tradeMode": "monthly",
      "tradeType": "monthly_new_buy",
      "basePrice": "1000000",
      "billNum": "1",
      "amount": "1000000",
      "voucherAmount": "0",
      "payAmount": "1000000",
      "payAmountDisplay": 100,
      "pricePrecision": 1,
      "createTime": "1764547200",
      "cycle": "2025-12",
      "productId": "<string>",
      "billingMethod": 2
    }
  ]
}

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Query Parameters

category
string
Product type. Common values:
  • summary (Summary bill)
  • gpu (GPU instance)
  • serverless (Serverless Endpoint)
  • cloud_storage (Cloud storage)
  • local_storage (Local storage)
  • image (Image)
  • bare_metal (Bare metal)
productName
string
Product name. Supports fuzzy matching.
startTime
integer
Start time of the billing period to query, Unix timestamp in seconds (int64).
endTime
integer
End time of the billing period to query, Unix timestamp in seconds (int64).
ownerId
string
Resource instance ID.
This endpoint does not support pagination. Keep each query range within 31 days. For longer ranges, split requests by calendar month or calendar week.

Response Parameters

bills
object[]
required
Subscription / fixed-term bill list.
curl --request GET \
  --url 'https://api.novita.ai/openapi/v1/billing/bill/monthly/list?category=gpu&startTime=1764547200&endTime=1767225599' \
  --header 'Authorization: Bearer <API_KEY>'
{
  "bills": [
    {
      "userId": "<string>",
      "memberId": "<string>",
      "startTime": "1764547200",
      "endTime": "1767225599",
      "productName": "<string>",
      "productCategory": "gpu",
      "ownerID": "<string>",
      "tradeMode": "monthly",
      "tradeType": "monthly_new_buy",
      "basePrice": "1000000",
      "billNum": "1",
      "amount": "1000000",
      "voucherAmount": "0",
      "payAmount": "1000000",
      "payAmountDisplay": 100,
      "pricePrecision": 1,
      "createTime": "1764547200",
      "cycle": "2025-12",
      "productId": "<string>",
      "billingMethod": 2
    }
  ]
}